Functions
FLAG_Management
Peripheral Driver » LL Driver » AON_WDT » Functions

## Functions
__STATIC_INLINE uint32_t | ll_aon_wdt_is_active_flag_running (void)
| Indicate if the AON Watchdog Running Flag is set or not. More...
__STATIC_INLINE uint32_t | ll_aon_wdt_is_active_flag_reboot (void)
| Indicate if the AON WDT Reboot Event Flag is set or not. More...
__STATIC_INLINE void | ll_aon_wdt_clear_flag_reboot (void)
| Clear Interrupt Status flag. More...

## Detailed Description

## Function Documentation

## ◆ ll_aon_wdt_clear_flag_reboot()

__STATIC_INLINE void ll_aon_wdt_clear_flag_reboot | ( | void |  | ) |

Clear Interrupt Status flag.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | SLP_EVENT | SLP_EVENT_WDT | +———————-+———————————–+ \endrst

Return values

  None |

Definition at line 284 of file gr55xx_ll_aon_wdt.h.

## ◆ ll_aon_wdt_is_active_flag_reboot()

__STATIC_INLINE uint32_t ll_aon_wdt_is_active_flag_reboot | ( | void |  | ) |

Indicate if the AON WDT Reboot Event Flag is set or not.

Note
  This bit is set by hardware when the counter has reached alarm value. It can be cleared by writing 0 to this bit.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | SLP_EVENT | SLP_EVENT_WDT | +———————-+———————————–+ \endrst

Return values

  State | of bit (1 or 0).

Definition at line 266 of file gr55xx_ll_aon_wdt.h.

## ◆ ll_aon_wdt_is_active_flag_running()

__STATIC_INLINE uint32_t ll_aon_wdt_is_active_flag_running | ( | void |  | ) |

Indicate if the AON Watchdog Running Flag is set or not.

Note
  This bit can be used to check if AON Watchdog is in running state.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | EXT_WKUP_CTL | WDT_RUNNING | +———————-+———————————–+ \endrst

Return values

  State | of bit (1 or 0).

Definition at line 246 of file gr55xx_ll_aon_wdt.h.